<%@ Control Language="VB" AutoEventWireup="false" CodeFile="View.ascx.vb" Inherits="MultiViewSample" %>
<asp:Button ID="btnView1" runat="server" Text="Go to View Number 1" />
<asp:Button ID="btnView2" runat="server" Text="Go to View Number 2" />
<asp:Button ID="btnView3" runat="server" Text="Go to View Number 3" /><br />
<br />
<asp:MultiView ID="MultiView" runat="server" ActiveViewIndex="0">
    <asp:View ID="View1" runat="server">
        This is View Number 1<br />
        <br />
        <table border="0" cellpadding="4" cellspacing="4" width="90%">
            <tr>
                <td style="width: 25%">
                    <asp:Label ID="lblAge" runat="server" Text="Your Age:" Font-Bold="True"></asp:Label>
                    <br />
                    <br />
                    <asp:RadioButtonList ID="rblAge" runat="server">
                        <asp:ListItem>0-20</asp:ListItem>
                        <asp:ListItem>21-40</asp:ListItem>
                        <asp:ListItem>41-99</asp:ListItem>
                    </asp:RadioButtonList></td>
                <td style="width: 75%" valign="top">
                    <strong>Dynamic Control:</strong>
                    <br />
                    <br />
                    <asp:RadioButtonList ID="rblDynamicControl" runat="server" AutoPostBack="True" RepeatDirection="Horizontal">
                        <asp:ListItem Value="1">Control 1</asp:ListItem>
                        <asp:ListItem Value="2">Control 2</asp:ListItem>
                    </asp:RadioButtonList><br />
                    <asp:PlaceHolder id="phDynamicPlaceHolder" runat="server"></asp:PlaceHolder>
                    <br />
                </td>
            </tr>
            <tr>
                <td style="width: 50%">
                    </td>
                <td>
                    <asp:HyperLink ID="HyperLink1" runat="server" Font-Size="XX-Small" NavigateUrl="http://opensource.indyneinc.com">code from: opensource.indyneinc.com</asp:HyperLink></td>
            </tr>
        </table>
        <br />
        <br />
        <br />
        &nbsp;</asp:View>
    <asp:View ID="View2" runat="server">
        This is View Number 2<br />
        <br />
        <asp:Button ID="btnDisappear" runat="server" Text="Make the Navigation Disappear" />
        <asp:Button ID="btnappear" runat="server" Text="Make the Navigation Appear" Visible="False" />
        <br />
        <br />
        Age selected on View 1:
        <asp:Label ID="lblAgeDisplay" runat="server"></asp:Label>
        <br />
        <asp:Button ID="btnResetAge" runat="server" Text="[Reset Age Control]" /><br />
        </asp:View>
    <asp:View ID="View3" runat="server">
        This is View Number 3<br />
        <br />
        <asp:TextBox ID="txtSearch" runat="server"></asp:TextBox>&nbsp;
<asp:Button ID="btnSearch" runat="server" Text="Search" /><br />
<br />
        
        <asp:GridView ID="GridView1" runat="server">
        </asp:GridView>
        <br />
    </asp:View>
</asp:MultiView>
